#pragma once
#include "colorstatic.h"
#include "afxwin.h"


// CDlg_BuiltForm dialog

class CDlg_BuiltForm : public CDialog
{
	DECLARE_DYNAMIC(CDlg_BuiltForm)

public:
	CDlg_BuiltForm(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlg_BuiltForm();

// Dialog Data
	enum { IDD = IDD_BUILTFORM };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	virtual BOOL OnInitDialog();

	afx_msg void AddStringsToBuiltFormDlg();
	afx_msg void DisplayValuesForBuiltFormDlg();
	afx_msg void ReadInputsFromBuiltFormDlg();

	DECLARE_MESSAGE_MAP()
public:
	CColorStatic m_labelBuiltForm;
	CColorStatic m_labelLocation;
	CColorStatic m_labelStoreys;
	CColorStatic m_labelFlatType;
	CColorStatic m_frameFlat;

	CButton m_btnDwellingTypeNewAsDesigned;
	CButton m_btnDwellingTypeNewAsBuilt;
	CButton m_btnDwellingTypeNewExtension;
	CButton m_btnDwellingTypeNewCreatedByChange;
	CButton m_btnDwellingTypeExisting;
	CButton m_btnDwellingTypeOther;	
	CButton m_btnPropertyTypeHouse;
	CButton m_btnPropertyTypeBungalow;
	CButton m_btnPropertyTypeFlat;
	CButton m_btnPropertyTypeMaisonette;	
	CButton m_btnBuiltFormDetached;
	CButton m_btnBuiltFormSemiDetached;
	CButton m_btnBuiltFormMidTerr;
	CButton m_btnBuiltFormEndTerr;
	CButton m_btnBuiltFormEncMidTerr;
	CButton m_btnBuiltFormEncEndTerr;
	CButton m_btnFlatTypeGround;
	CButton m_btnFlatTypeMidFloor;
	CButton m_btnFlatTypeTopFloor;	
	CButton m_btnShelteredSides1;
	CButton m_btnShelteredSides2;
	CButton m_btnShelteredSides3;
	CButton m_btnShelteredSides4;
	CButton m_btnTerrainDenseUrban;
	CButton m_btnTerrainLowRiseUrban;
	CButton m_btnTerrainRural;	
	CButton m_btnExposureExposed;
	CButton m_btnExposureAboveAvg;
	CButton m_btnExposureAvg;
	CButton m_btnExposureBelowAvg;
	CButton m_btnExposureSheltered;	

	CComboBox m_comboLocation;

	CEdit m_editStorey1Area;
	CEdit m_editStorey2Area;
	CEdit m_editStorey3Area;
	CEdit m_editStorey4Area;
	CEdit m_editStorey5Area;
	CEdit m_editStorey6Area;
	CEdit m_editStorey1Height;
	CEdit m_editStorey2Height;
	CEdit m_editStorey3Height;
	CEdit m_editStorey4Height;
	CEdit m_editStorey5Height;
	CEdit m_editStorey6Height;

	CButton m_btnStorey1Basement;
	CButton m_btnStorey2Basement;
	CButton m_btnStorey3Basement;
	CButton m_btnStorey4Basement;
	CButton m_btnStorey5Basement;
	CButton m_btnStorey6Basement;
	CButton m_btnStorey1;
	CButton m_btnStorey2;
	CButton m_btnStorey3;
	CButton m_btnStorey4;
	CButton m_btnStorey5;
	CButton m_btnStorey6;

	CEdit m_editBuiltDate;
	CString str_editBuiltDate;
	CString str_comboLocation;
	CString str_editStorey1Area;
	CString str_editStorey2Area;
	CString str_editStorey3Area;
	CString str_editStorey4Area;
	CString str_editStorey5Area;
	CString str_editStorey6Area;
	CString str_editStorey1Height;
	CString str_editStorey2Height;
	CString str_editStorey3Height;
	CString str_editStorey4Height;
	CString str_editStorey5Height;
	CString str_editStorey6Height;

	afx_msg void OnBnClickedRadio1();
	afx_msg void OnBnClickedRadio2();
	afx_msg void OnBnClickedRadio3();
	afx_msg void OnBnClickedRadio4();
	afx_msg void OnBnClickedRadio5();
	afx_msg void OnBnClickedRadio6();
	afx_msg void OnBnClickedRadio7();
	afx_msg void OnBnClickedRadio8();
	afx_msg void OnBnClickedRadio9();
	afx_msg void OnBnClickedRadio10();
	afx_msg void OnBnClickedRadio11();
	afx_msg void OnBnClickedRadio12();
	afx_msg void OnBnClickedRadio13();
	afx_msg void OnBnClickedRadio14();
	afx_msg void OnBnClickedRadio15();
	afx_msg void OnBnClickedRadio16();
	afx_msg void OnBnClickedRadio17();
	afx_msg void OnBnClickedRadio18();
	afx_msg void OnBnClickedRadio19();
	afx_msg void OnBnClickedRadio20();
	afx_msg void OnBnClickedRadio21();
	afx_msg void OnBnClickedRadio22();
	afx_msg void OnBnClickedRadio23();
	afx_msg void OnBnClickedRadio24();
	afx_msg void OnBnClickedRadio25();
	afx_msg void OnBnClickedRadio26();
	afx_msg void OnBnClickedRadio27();
	afx_msg void OnBnClickedRadio28();
	afx_msg void OnBnClickedRadio29();
	afx_msg void OnBnClickedRadio30();
	afx_msg void OnBnClickedRadio31();
	afx_msg void OnCbnSelchangeCombo1();
	afx_msg void OnCbnSelchangeCombo5();
	afx_msg void OnCbnSelchangeCombo6();
	afx_msg void OnCbnSelchangeCombo7();
	afx_msg void OnCbnSelchangeCombo8();
	afx_msg void OnCbnSelchangeCombo9();
	afx_msg void OnCbnSelchangeCombo10();
	afx_msg void OnBnClickedCheck1();
	afx_msg void OnBnClickedCheck3();
	afx_msg void OnBnClickedCheck5();
	afx_msg void OnBnClickedCheck7();
	afx_msg void OnBnClickedCheck9();
	afx_msg void OnBnClickedCheck11();
	afx_msg void OnBnClickedCheck2();
	afx_msg void OnBnClickedCheck4();
	afx_msg void OnBnClickedCheck6();
	afx_msg void OnBnClickedCheck8();
	afx_msg void OnBnClickedCheck10();
	afx_msg void OnBnClickedCheck12();
	afx_msg void OnEnChangeEdit13();
	afx_msg void OnEnChangeEdit15();
	afx_msg void OnEnChangeEdit17();
	afx_msg void OnEnChangeEdit19();
	afx_msg void OnEnChangeEdit21();
	afx_msg void OnEnChangeEdit23();
	afx_msg void OnEnChangeEdit14();
	afx_msg void OnEnChangeEdit16();
	afx_msg void OnEnChangeEdit18();
	afx_msg void OnEnChangeEdit20();
	afx_msg void OnEnChangeEdit22();
	afx_msg void OnEnChangeEdit24();
	afx_msg void OnEnChangeEdit12();
	
	afx_msg BOOL PreTranslateMessage(MSG* pMsg);	
	afx_msg void OnStnClickedStatic3();
	CColorStatic m_labelDwellingType;
	CColorStatic m_labelPropertyType;
	CColorStatic m_labelDetachment;
	CColorStatic m_labelYearOfBuilt;
	CColorStatic m_labelLocation1;
	CColorStatic m_labelShelteredSides;
	CColorStatic m_labelTerrain;
	CColorStatic m_labelStoreys1;
};


